generator: admingenerator.generator.doctrine
params:
    model: Webmil\Frontend\AboutBundle\Entity\Vacancy
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendAboutBundle
    pk_requirement: ~
    fields: 
      getTitle:
        label: Назва
      translations:
        formType: a2lix_translations
        addFormOptions:
         required: false    
         fields: 
           title:
             locale_options:
               uk:
                 label : Назва  
               ru:
                 label : Назва
           intro:
             locale_options:
               uk:
                 label : Вступ  
               ru:
                 label : Вступ
           description:
             field_type: ckeditor
             config_name: config_standard
             locale_options:
               uk:
                 label : Опис  
               ru:
                 label : Описание
      file:
        label:            Фото
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       photo
         data_class:     Symfony\Component\HttpFoundation\File\File
    object_actions:
        delete: ~
    batch_actions:
        delete: ~
builders:
    list:
        params:
            title: Вакансії
            display: [getTitle]
            actions:
                new: ~
            object_actions:
                edit: ~
                delete: ~
    filters:
        params:
            display: []
    new:
        params:
            title: Нова вакансія
            display: [translations]
            actions:
                save: ~
                list: ~
    edit:
        params:
            title: "Ви редагуєте вакансію \"%object%\"|{ %object%: Vacancy.getTitle }|"
            display: [translations]
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: Vacancy.getTitle }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
